Bug 1659643 - [abrt] nextcloud-client: OCC::PropagatorCompositeJob::scheduleSelfOrChild(): nextcloud killed by SIGSEGV
Summary: [abrt] nextcloud-client: OCC::PropagatorCompositeJob::scheduleSelfOrChild(): ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ac0e6e353b65be192f401ee90d5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-14 20:53 UTC by Michael Hampton
Modified: 2019-04-22 05:09 UTC (History)
5 users (show)

Fixed In Version: nextcloud-client-2.5.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-28 09:37:34 UTC


Attachments (Terms of Use)
File: backtrace (98.46 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: cgroup (345 bytes, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: core_backtrace (32.41 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: dso_list (18.07 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: environ (4.11 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: maps (116.17 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: mountinfo (6.18 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: open_fds (150.89 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-12-14 20:53 UTC, Michael Hampton
no flags Details

Description Michael Hampton 2018-12-14 20:53:27 UTC
Version-Release number of selected component:
nextcloud-client-2.5.0-2.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/nextcloud
crash_function: OCC::PropagatorCompositeJob::scheduleSelfOrChild
executable:     /usr/bin/nextcloud
journald_cursor: s=d3fc71858ba14064a775b3e5981dd5f6;i=3bb588;b=cf9f3d836b624c6082d43dee75ef51b3;m=1a6b9bc4;t=57d01526ac115;x=2768a4ce008de5e4
kernel:         4.19.8-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 OCC::PropagatorCompositeJob::scheduleSelfOrChild at /usr/include/qt5/QtCore/qarraydata.h:209
 #1 OCC::PropagateDirectory::scheduleSelfOrChild at /usr/src/debug/nextcloud-client-2.5.0-2.fc29.x86_64/src/libsync/owncloudpropagator.cpp:921
 #2 OCC::PropagatorCompositeJob::possiblyRunNextJob at /usr/src/debug/nextcloud-client-2.5.0-2.fc29.x86_64/src/libsync/owncloudpropagator.h:274
 #3 OCC::PropagatorCompositeJob::scheduleSelfOrChild at /usr/src/debug/nextcloud-client-2.5.0-2.fc29.x86_64/src/libsync/owncloudpropagator.cpp:783
 #4 OCC::PropagateDirectory::scheduleSelfOrChild at /usr/src/debug/nextcloud-client-2.5.0-2.fc29.x86_64/src/libsync/owncloudpropagator.cpp:921
 #5 OCC::PropagatorCompositeJob::possiblyRunNextJob at /usr/src/debug/nextcloud-client-2.5.0-2.fc29.x86_64/src/libsync/owncloudpropagator.h:274
 #6 OCC::PropagatorCompositeJob::scheduleSelfOrChild at /usr/src/debug/nextcloud-client-2.5.0-2.fc29.x86_64/src/libsync/owncloudpropagator.cpp:783
 #7 OCC::PropagateDirectory::scheduleSelfOrChild at /usr/src/debug/nextcloud-client-2.5.0-2.fc29.x86_64/src/libsync/owncloudpropagator.cpp:921
 #8 OCC::OwncloudPropagator::scheduleNextJobImpl at /usr/src/debug/nextcloud-client-2.5.0-2.fc29.x86_64/src/libsync/owncloudpropagator.cpp:605
 #9 QtPrivate::QSlotObjectBase::call at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:376

Comment 1 Michael Hampton 2018-12-14 20:53:30 UTC
Created attachment 1514475 [details]
File: backtrace

Comment 2 Michael Hampton 2018-12-14 20:53:31 UTC
Created attachment 1514476 [details]
File: cgroup

Comment 3 Michael Hampton 2018-12-14 20:53:32 UTC
Created attachment 1514477 [details]
File: core_backtrace

Comment 4 Michael Hampton 2018-12-14 20:53:33 UTC
Created attachment 1514478 [details]
File: cpuinfo

Comment 5 Michael Hampton 2018-12-14 20:53:34 UTC
Created attachment 1514479 [details]
File: dso_list

Comment 6 Michael Hampton 2018-12-14 20:53:35 UTC
Created attachment 1514480 [details]
File: environ

Comment 7 Michael Hampton 2018-12-14 20:53:36 UTC
Created attachment 1514481 [details]
File: exploitable

Comment 8 Michael Hampton 2018-12-14 20:53:38 UTC
Created attachment 1514482 [details]
File: limits

Comment 9 Michael Hampton 2018-12-14 20:53:41 UTC
Created attachment 1514483 [details]
File: maps

Comment 10 Michael Hampton 2018-12-14 20:53:42 UTC
Created attachment 1514484 [details]
File: mountinfo

Comment 11 Michael Hampton 2018-12-14 20:53:44 UTC
Created attachment 1514485 [details]
File: open_fds

Comment 12 Michael Hampton 2018-12-14 20:53:45 UTC
Created attachment 1514486 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2019-01-09 16:17:46 UTC
nextcloud-client-2.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 14 Fedora Update System 2019-01-09 16:17:57 UTC
nextcloud-client-2.5.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 15 Fedora Update System 2019-01-11 04:16:44 UTC
nextcloud-client-2.5.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 16 Fedora Update System 2019-01-11 05:42:45 UTC
nextcloud-client-2.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 17 Germano Massullo 2019-01-27 12:01:20 UTC
Hello, could you please describe the actions that led to this crash?
Thank you

Comment 18 Germano Massullo 2019-03-28 09:37:34 UTC
Please open an upstream bugreport at https://github.com/nextcloud/desktop/issues

Comment 19 Fedora Update System 2019-04-11 13:20:40 UTC
nextcloud-client-2.5.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 20 Fedora Update System 2019-04-11 13:20:51 UTC
nextcloud-client-2.5.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 21 Fedora Update System 2019-04-13 03:22:06 UTC
nextcloud-client-2.5.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 22 Fedora Update System 2019-04-13 12:10:21 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 23 Fedora Update System 2019-04-22 05:09:44 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.